_G.importName="AnthologyTutorial"
_G.imageRoot=string.gsub(string.gsub(getfenv(1)._.Name,"%.".._G.importName,""),"%.","/").."/"
_G.importStory=function()
--*****************************************************************************
-- copy the entire contents of your exported .plugindata file here, including ALL lines
return 
{
	["Chapters"] = 
	{
		["1"] = 
		{
			["Y"] = "595",
			["X"] = "100",
			["Name"] = "The Main Menu",
			["DisplayOrder"] = "1",
			["Status"] = true,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "AnthologyMenu.jpg",
					["Type"] = "Image"
				},
				["3"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "anthologysettings.jpg",
					["Type"] = "Image"
				},
				["2"] = 
				{
					["Path"] = "",
					["Text"] = "This is the Anthology Main Menu. You can choose to Read an existing story, Author your own stories, Import or Export a story or change Settings. Lets discuss the Settings first. When you click Settings, you will display the Settings dialog where you can alter a number of the facets of how Anthology looks.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["5"] = 
				{
					["Path"] = "",
					["Text"] = "##10#One fairly important note, as you read stories, you may be provided images by the author. Some of those images may not fit in the Reading pane of the Reader Window and will only display as an icon placeholder. You can either resize the pane or window (more on that in the Reader section) until the image displays or you can double click the icon to view the image in a seperate viewer.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["4"] = 
				{
					["Path"] = "",
					["Text"] = "The first thing you may want to change is the Font Face and Size. Just click the font setting to display a list of available font faces and sizes. Note, however, that the Trajan Pro fonts do not support Cyrillic characters and the Trajan Pro 25 font does not display correctly (a bug that was reported to Turbine back in 2010 and never fixed). All of the windows in Anthology are designed to resize to accomodate the selected font size but Button controls have a fixed height of 20 pixels so Anthology will authomatically use the largest font from the same family as you have chosen that still fits in a button - all other controls will use the font size you have specified. Windows and controls will automatically expand to accomdate your chosen font when possible.#10##10#Some users find the default font colors hard to read so you can also change the colors for most elements.#10##10#While most of the controls in Anthology will support custom skins, some controls can not so the Trim and Back color options may help users who have custom skins.#10##10#Once you have chosen a font/size and colors that are comfortable you are ready to start Reading and Authoring. Please choose one of the options to the right to continue learning about Anthology.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Author",
					["Type"] = "Button",
					["Name"] = "Author",
					["DisplayOrder"] = "1",
					["Status"] = true,
					["Text"] = "Click here to learn about using Anthology to write your own stories.",
					["NextChapter"] = "2"
				},
				["3"] = 
				{
					["ObjectiveString"] = "Import/Export",
					["Type"] = "Button",
					["Name"] = "Import/Export",
					["DisplayOrder"] = "3",
					["Status"] = false,
					["Text"] = "Click here to learn how to import stories from other authors or export your own stories.",
					["NextChapter"] = "4"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Reader",
					["Type"] = "Button",
					["Name"] = "Reader",
					["DisplayOrder"] = "2",
					["Status"] = false,
					["Text"] = "Click here to learn about reading stories.",
					["NextChapter"] = "3"
				}
			}
		},
		["3"] = 
		{
			["Y"] = "969",
			["X"] = "69",
			["Name"] = "The Reader Window",
			["DisplayOrder"] = "3",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "Below is a sample of the Reader window of Anthology.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "If the image is too wide for the space available it is shown as an icon, double click the icon to see the full image in a seperate window or resize the Reader Window. The Reader window is split into 3 basic parts, the top has the menu buttons, author & story name and chapter name. Below that are the Text Pane and the Objectives Pane. The vertical divider between the Text Pane and Objectives Pane can be dragged left or right with the left mouse button to resize the two panes. Additionally, most of the Anthology windows are resizable - the Text Pane will expand or shrink as you change the width of the Reader window and both panes will expand/shrink as you change the height. Any messages, such as \"Story Loaded\" are displayed across the bottom of the Reader Window.#10##10#To load a new story, click the Load button. This will display the Story Selection dialog where you can select a story to read. Note, the Story Selection dialog also allows you to delete stories if you should ever decide to remove one. You can sort the Story Selection dialog by clicking the headings or click the \"Active\" checkbox to show only stories that have been started (but not completed).",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "readerwindow.jpg",
					["Type"] = "Image"
				},
				["5"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The Reset button will allow you to reset all progress in the current story and set the story back to an Inactive state. This can be handy if you have forgotten where you are in a story and wish to restart.#10##10#The History feature is not yet implemented but once it is, you will be able to review the portions of the story that you have read and view your previously completed  Objectives. This can be handy if you have forgotten where you are in a story but don't wish to Restart.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["4"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The Pause button will allow you to temporarily suspend the objective checks that Anthology performs if you ever find they are interfering with your game play, such as causing lag in PvP or raid situations - just click the Pause button and all objective checks are disabled until you hit Resume or reload Anthology. However, while objective checks are paused, no progress can be made on an objective. So, if you are reading a story and decide to join a raid, just click Pause and Anthology will quietly wait for you to resume without impacting your frame rate. Note, objective checks are optimized so only the currently active objectives are checked at any time so this shouldn't be necessary for most users.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["6"] = 
				{
					["Path"] = "",
					["Text"] = "##10#Click \"Sample Chapter\" to see a simple example chapter with a multiple part objective.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Sample Chapter",
					["Type"] = "Button",
					["Name"] = "Sample Chapter",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["Text"] = "Click here to see a simple sample chapter.",
					["NextChapter"] = "10"
				}
			}
		},
		["2"] = 
		{
			["Y"] = "163",
			["X"] = "97",
			["Name"] = "The Author Window",
			["DisplayOrder"] = "2",
			["Status"] = true,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "This is the Author Window, where you begin writing your story!",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "When you first enter the Author Window, the Author name is filled with your character's name but everything else is blank. You can either start writing a story from scratch or edit an exising story. To edit an existing story, click the 'Edit Existing' button to display the Story Selection dialog, select a story and click Select. The story will be loaded into the Author Window and you can start editing. Note that in the Story Selection dialog you can also choose a story and delete it.#10##10#Once you are ready to start editing (a new story or an existing one), you begin by entering a name for the story, selecting the language(s) that the story supports (more on that later) and a brief description of the story. You can also set up a Default Image Path - that is the folder which Anthology will set as the Image folder whenever you add a new image. If you intend to include images in your story it is recommended that you export it and package it as a Lua plugin (more on that later) so you should probably set up an author folder of your own. That is easily done by finding your \"...Documents/Lord or the Rings Online/Plugins\" folder and creating a subfolder with your chosen author name. Under that folder you should then create a seperate folder for each story you wish to create. You can then either store all of your images in that folder or a subfolder with a name like \"Images\". Whatever folder you choose, you should enter the path relative to the Plugins path (the part of the path after \"/Plugins\") in the Default Image Path field. Do NOT include a leading backslash. A trailing backslash is optional. For instance, the folder path for the images in this tutorial is \"...Documents/Lord of the Rings Online/Plugins/GaranStuff/Anthology/Stories/AnthologyTutorialImages\" so the relative path is simply \"GaranStuff/Anthology/Stories/AnthologyTutorialImages\".#10##10#You are now ready to move on to creating chapters. Anthology can present chapters in two different views, a list view, like a table of contents, or a Storyboard where the chapters and transitions are laid out graphically. Beginners may find the Storyboard easier to start with and the list view quicker for small edits and corrections. Below is a picture of the list view which should be pretty self explanatory - click 'New' to define a new chapter, click the other buttons to organize the list.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "AnthologyAuthor1.jpg",
					["Type"] = "Image"
				},
				["5"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The Storyboard is a little more complicated and requires a bit more explanation but can be very helpful in organizing a story. Click 'Storyboard' to the right to read about the Storyboard or click 'Chapter Maintnenance' to learn about editing chapter details.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["4"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "authorwindowchapterlist.jpg",
					["Type"] = "Image"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Storyboard",
					["Type"] = "Button",
					["Name"] = "Storyboard",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["Text"] = "Click here to learn about the Storyboard",
					["NextChapter"] = "5"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Chapter Maintenance",
					["Type"] = "Button",
					["Name"] = "Chapter Maintenance",
					["DisplayOrder"] = "2",
					["Status"] = true,
					["Text"] = "Click here to go straight to learning about editing chapter details like text, images and objective conditions.",
					["NextChapter"] = "6"
				}
			}
		},
		["5"] = 
		{
			["Y"] = "21",
			["X"] = "299",
			["Name"] = "The Storyboard",
			["DisplayOrder"] = "5",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "This is the Storyboard or graphical representation of your story. If the image below is too large to fit in this window it will show as an icon, double click the icon to see the image.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "##10#Every chapter is represented by a small menu list with the chapter Name at the top followed by the list of Objectives and the objective add and delete controls at the bottom. Basically, every story is laid out as a series of chapters which contain text, images and objectives. The chapters are connected by Transitions. There are two types of transitions, simple objective transitions which immediately bring the reader to another chapter when that one objective is completed and multiple objective transitions which require multiple objectives to be completed to bring the reader to their next chapter. Each chapter can have as many Objectives and simple transitions as you would like, but there are only two multiple objective transitions definable for each chapter.#10##10#You can create a new Chapter in the Storyboard by right clicking on an empty space and clicking the \"New Chapter\" popup. You can rename a Chapter by simply clicking on the chapter name and changing it. You can add a new objective by clicking the '+' at the bottom of the chapter. You can rename an Objective by clicking it and changing the name. You can delete an Objective by selecting it (clicking on it) and then clicking the red 'X' that appears at the bottom of the chapter. Now the fun part, you can create or change the transition for an objective by clicking it and then hold Shift and click the Name of the target chapter. An arrow will appear to indicate the transition. Note, there are four colors for the arrows. Simple transitions are white. The simple transition for the currently selected Objective will be blue. The first multiple objective transition for a chapter is green and the second multiple objective transition is red (they were originally defined as Success and Failure conditions, thus the limit of two and the colors).#10##10#You can reposition your chapters on the Storyboard by holding Ctrl and then use the left mouse button to grab the Name of the chapter and drag it to a new location. All of the transition arrows will automatically follow the chapter whereever you drag it - note, you can expand the Storyboard by dragging a chapter off the right side or bottom at which point scrollbars will appear for scrolling the Storyboard. Any arrows that cross a scrollbar will tend to draw over the scrollbar (a lingering bug with rotated controls that SSG hasn't fixed) but won't otherwise impede use of the scrollbars.#10##10#That brings us to the Chapter Maintenance window where you define the text, images and objective conditions for the chapter. Please click 'Continue' to read about Chapter Maintenance.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "Storyboard.jpg",
					["Type"] = "Image"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Continue",
					["Type"] = "Button",
					["Name"] = "Continue",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["NextChapter"] = "6"
				}
			}
		},
		["4"] = 
		{
			["Y"] = "586",
			["X"] = "310",
			["Name"] = "Importing and Exporting",
			["DisplayOrder"] = "4",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "Probably the most complex part of Anthology is the Export-Import process. This is mostly due to the limitations on the Lua API. Plugins can only access a very limited set of file types and only under specific circumstances. So, we have to jump through a few hoops to share information between clients. I have chosen to allow two different ways to share stories.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["4"] = 
				{
					["Path"] = "",
					["Text"] = "##10#Both methods start with the same step, the story must first be exported from Anthology. You could search for an identify the story definition without exporting it, but exporting will give you a copy with an easily identified file name which will make it easier to find. Pick a subject to the right to learn more about it or click Conclusion to go to the conclusion of this tutorial.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The second methog is a little more complicated for the author but much simpler for the recipeint. This method involves converting the .plugindata file to a .lua file (incredibly easy), creating a .plugin definition file and a .plugin compendium file and packaging them all along with any images in a .zip file that can be published on lotrointerface.com. While this sounds complicated, take one step at a time it is actually very easy and will have the great added benefit of allowing Lunarwtr to include the story in her Plugin Compendium so end users can simply click to download and install it. Once installed, the story's plugin will show in the Anthology Import Window (if properly packaged) and the user can simply click it to import it - no paths to figure out or filenames to type. So, a little harder on Authors but much simpler for the recipeint.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The simplest is to simply copy a .plugindata file containing the story definition to a new client. This requires the reciepient to copy the file to the correct destination and enter the correct file name without extension in the import window. Neither part is terribly difficult so most users will eventually get this correct. However differences in Operating systems may make identifying the correct location difficult for some users. Additionally, this method will not work for stories that include images unless they are also copied, and to a different location as well. So, this method, \"Import Dat\" is easier on the author but more challenging for the recipient.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "ERxporting",
					["Type"] = "Button",
					["Name"] = "Exporting",
					["DisplayOrder"] = "1",
					["Text"] = "Click here to learn about Exporting.",
					["NextChapter"] = "11"
				},
				["3"] = 
				{
					["ObjectiveString"] = "Conclusion",
					["Type"] = "Button",
					["Name"] = "Conclusion",
					["DisplayOrder"] = "3",
					["Text"] = "Click here to go to the conclusion of this tutorial.",
					["NextChapter"] = "9"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Importing",
					["Type"] = "Button",
					["Name"] = "Importing",
					["DisplayOrder"] = "2",
					["Text"] = "Click here to learn how to import a story.",
					["NextChapter"] = "14"
				}
			}
		},
		["7"] = 
		{
			["Y"] = "170",
			["X"] = "707",
			["Name"] = "Chapter Maintenance - Objectives",
			["DisplayOrder"] = "7",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "This is the Chapter Maintenance window Objectives tab. Below is a picture of a simple Button type Objective definition.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "The last two fields are specific to the objective Type and will change depending on what type is selected. In the above example, the Type is selected as Button, so the ## Required field is unavailable and the last field changes to \"Button Label\".#10##10#As explained in the Storyboard chapter, you can create a new Objective right on the Storyboard, change its name and even the Next Chapter, but you must use the Chapter Maintenance Objective tab to define the details of the objective. You can also create new objectives right in this tab by clicking \"New\" and filling in the fields. The first thing to decide is what kind of Objective this is. The available types are:",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "chaptermaintobjectivetab.jpg",
					["Type"] = "Image"
				},
				["5"] = 
				{
					["Path"] = "",
					["Text"] = "Target - this type simply requires the user to target any object or Actor (Actor is the plugin terminology for any character, pet or NPC in the game) which has a name that matches the Target Name field. As soon as the character's target matches the Target Name field, the objective is flagged as complete and will stay completed even if the player subsequently changes targets. This allows multiple \"find character X\" type objectives in a single chapter. Note that there are a few special tokens that can be entered into text and target fields to allow matching to the reader's Name, Class and Race. In the case of targetting oneself, you would enter @PlayerName in the Target Name field and whenever the player target's themselves (or a pet with the same name) the objective will be complete.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["4"] = 
				{
					["Path"] = "",
					["Text"] = "Button - this type creates a simple button with a caption and label that the user can click. Typically this is tied to a simple transition and will have a Next Chapter defined - the only reason I can think of to include a button without a simple transition is to be sure the user is aware that they have met all the other conditions and wishes to continue (there will be such a button on the Target objective sample later).",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["7"] = 
				{
					["Path"] = "",
					["Text"] = "Acquire X - this type will require the user to acquire a specific count of an item. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["6"] = 
				{
					["Path"] = "",
					["Text"] = "Defeat X - this type will require the user to defeat a specific count of enemies which match the Target Name. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["9"] = 
				{
					["Path"] = "",
					["Text"] = "Location - this type will require the user to go to a specific coordinate and click a 'Look Around' button to verify their location. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["8"] = 
				{
					["Path"] = "",
					["Text"] = "Equip Item - this type will require the user to equip a specific item. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["14"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The next step is to define the Next Chapter. For a simple transition, simply select the next chapter that the reader will be presented after completing the objective. If this objective will be part of a multiple objective transition, select 'Use Transition'. If this objective should end the story (the reader can start reading again) select 'End Story'.#10##10#The Name field does not display in the reader and is only shown in the Author windows to identify the objective.#10##10#The Text field will display in the objective panel of the reader for this objective and can server as a reminder to the reader what this objective requires.#10##10#The Display Order controls the order in which the Objective will show in the reader objective panel, top to bottom - the same order as the objective names are shown on the left side of this tab.#10##10#The remaining fields will change depending on the objective type but they should be self explanatory, such as Count, Channel, Target Name, etc.#10##10#Note, one handy feature is the ability of Anthology to capture certain field values for you. For instance the Location feature can capture the author's current location and fill it in as the target location coordinates or the author's current target's name for a Target Name field. When Anthology can auto fill a field there will be a small reticle icon to the right of the field, click the reticle for Anthology to capture the associated information and fill in the field. After the information if filled in you can always manually edit it or capture it again if you made a mistake, such as not targetting the correct target.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["13"] = 
				{
					["Path"] = "",
					["Text"] = "Receive Effect - this type will require the user to have a specific effec on their character. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["12"] = 
				{
					["Path"] = "",
					["Text"] = "Recieve Chat - this type will require the user to receive an incomming chat message that matches a specific phrase and can specify a specific channel as well. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["11"] = 
				{
					["Path"] = "",
					["Text"] = "Send Chat - this type will require the user to send a specific phrase in chat and can specify a specific channel as well. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["10"] = 
				{
					["Path"] = "",
					["Text"] = "Emote - this type will require the user to perform a specific emote. This type is not yet implemented.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Continue",
					["Type"] = "Button",
					["Name"] = "Continue",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["NextChapter"] = "8"
				}
			}
		},
		["6"] = 
		{
			["Y"] = "163",
			["X"] = "397",
			["Name"] = "Chapter Maintenance - Content",
			["DisplayOrder"] = "6",
			["Status"] = true,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "This is the Chapter Maintenance Window, Content tab.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "You begin adding content by right clicking in the Chapter Text area which will show the content menu:",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "chaptermaintcontenttab.jpg",
					["Type"] = "Image"
				},
				["5"] = 
				{
					["Path"] = "",
					["Text"] = "Click New Text to add a text block - click in the new block to start typing/editing the text. Clicking New image will add a new image block and open the Image Maintenance window. Click \"Images\" to learn more about managing images for stories and the image maintenance window.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["4"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "chaptermaintcontentmenu.jpg",
					["Type"] = "Image"
				},
				["6"] = 
				{
					["Path"] = "",
					["Text"] = "##10#If you select a block prior to adding a new block, the new block is added immediately after the currently selected block, otherwise it is added at the end of the content. You can re-organize text and images by right clicking them and choosing to move blocks up or down or deleting the currently selected block.#10##10#Click Continue to learn about the Chapter Maintenance window Objectives tab.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Continue",
					["Type"] = "Button",
					["Name"] = "Continue",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["NextChapter"] = "7"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Images",
					["Type"] = "Button",
					["Name"] = "ImageMaint",
					["DisplayOrder"] = "2",
					["Status"] = true,
					["Text"] = "Click here to learn about Images",
					["NextChapter"] = "15"
				}
			}
		},
		["9"] = 
		{
			["Y"] = "431",
			["X"] = "1346",
			["Name"] = "Conclusion",
			["DisplayOrder"] = "9",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "This concludes the Anthology Tutorial.  If there is anything you missed, you can always reread the tutorial by loading it in the reader and clicking Start. Click End to conclude the tutorial.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "End",
					["Type"] = "Button",
					["Name"] = "End",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["NextChapter"] = "-1"
				},
				["4"] = 
				{
					["ObjectiveString"] = "Import/Export",
					["Type"] = "Button",
					["Name"] = "Import/Export",
					["DisplayOrder"] = "3",
					["Status"] = false,
					["Text"] = "Click here to learn about the Import/Export Window.",
					["NextChapter"] = "4"
				},
				["3"] = 
				{
					["ObjectiveString"] = "Author",
					["Type"] = "Button",
					["Name"] = "Author",
					["DisplayOrder"] = "4",
					["Status"] = false,
					["Text"] = "Click here to learn about the Author Window.",
					["NextChapter"] = "2"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Reader",
					["Type"] = "Button",
					["Name"] = "Reader",
					["DisplayOrder"] = "2",
					["Status"] = false,
					["Text"] = "Click here to learn about the Reader Window.",
					["NextChapter"] = "3"
				}
			}
		},
		["8"] = 
		{
			["Y"] = "184",
			["X"] = "1043",
			["Name"] = "Chapter Maintenance - Transitions",
			["DisplayOrder"] = "8",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "Below is a sample of the Transitions tab of the Chapter Maintenance window.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "In this sample, there are two objectives, 'Target Yourself' and 'Click Continue'. Target Yourself is a Target type objective and if it was a simple transition, you would go to the next chapter as soon as you target yourself. Since this is part of a multi-objective transition, the Next Chapter on the Objectives tab is set to Use Transition for both objectives. We then go to the Transition tab and select both of the objectives so that both conditions need to be met to continue and select the Next Chapter. Go To Transition (1) is paired with Objectives (1) and Go To Transition (2) is paired with Objectives (2). You can define either pair, both or neither. Note, if you accidentally set the Next Chapter for one of the objectives on the Objectives tab that will take precedence over the Transition and Anthology will immediately go to the chapter indicated on the objective setting regardless of the Transition setting (if that Objective is completed).#10#Click Sample to see how this sample transition works or click Conclusion to go to the conclusion of the Anthology Tutorial (you can review other parts of the tutorial from there).",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "chaptermainttransitiontab.jpg",
					["Type"] = "Image"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Conclusion",
					["Type"] = "Button",
					["Name"] = "Conclusion",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["Text"] = "Click here to go to the Conclusion",
					["NextChapter"] = "9"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Sample",
					["Type"] = "Button",
					["Name"] = "Sample",
					["DisplayOrder"] = "2",
					["Status"] = false,
					["Text"] = "Click here to see this sample Transition.",
					["NextChapter"] = "10"
				}
			}
		},
		["15"] = 
		{
			["Y"] = "16",
			["X"] = "568",
			["Name"] = "ImageMaint",
			["DisplayOrder"] = "15",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "The Lua API limits where plugin images can be stored. All non-client images (more on client images below) are stored in folder paths relative to the Plugins folder:#10#\"..Documents\\The Lord of the Rings Online\\Plugins\". You will create a folder under that folder using your author name, a name you choose for yourself, to organize all of your stories and/or plugins. Under your author folder you create a seperate folder for each plugin or story (stories are treated just like plugins for this purpose). So, if your author name is \"YourName\" and your story is \"Once Upoon a Time\" you would typically shorten \"Once Upon A Time\" to \"OnceUponATime\" but either will do as long as you use it consistantly (it's easier to reference in a few cases without spaces). Your folder structure would be:#10#\"..Documents\\The Lord of the Rings Online\\Plugins\\YourName\\OnceUponATime\"#10##10#You can store your images directly within that folder or organize them in subfolders under that folder. On the Info tab of the Author Window there is a Default Image Path field which is used to automatically fill in the Sub-folder field for each new image definition. By Setting that to the path where you wish to save images you can save yourself a lot of typing. Once you have settled on a folder structure, entered the relative path to the image (the part starting with \"YourName\" in the folder structure) in the Sub-folder field. Then simply enter the full filename in the File field. Note that LotRO Lua only supports .jpg and .tga files, any other file will display a grey square icon. Once you have correctly entered the Sub-folder and File name and a scaled version of the image shows in the preview, click Apply.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "Note, you can optionally enter the filename as part of the sub-folder path and leave the file field blank but that is not recommended as it can make maintenance more difficult later. If the image doesn't exist, the preview will remain blank but you can still apply the changes - a placeholder icon will display for the image so that you can correct the path/filename or create the image in the future. If the image gets created in the future, the image will automatically replace the icon. Remember to click Apply after changing the folder or filename (Anthology will remind you if you made changes and try to exit Image Maintenance without applying).",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "imagemaint.jpg",
					["Type"] = "Image"
				},
				["5"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "imagemaintclientresource.jpg",
					["Type"] = "Image"
				},
				["4"] = 
				{
					["Path"] = "",
					["Text"] = "##10#Using built-in client resources#10#Anthology can also show images from the game client. To specify a game client image, leave the Subfolder field blank and enter the numeric ID for the game resource. Below is the Image Maintenance window with the game client map of Bree, resource ##0x41008134 defined. Note, you can enter the image resource as a decimal number or in hex notation as shown.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["7"] = 
				{
					["Path"] = "",
					["Text"] = "An image",
					["FileName"] = "#0x41008134",
					["Type"] = "Image"
				},
				["6"] = 
				{
					["Path"] = "",
					["Text"] = "And below is the actual image:",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Return",
					["Type"] = "Button",
					["Name"] = "Return",
					["DisplayOrder"] = "1",
					["Text"] = "Click to return to the Chapter Maintenance, Content tab.",
					["NextChapter"] = "6"
				}
			}
		},
		["14"] = 
		{
			["Y"] = "768",
			["X"] = "360",
			["Name"] = "Importing",
			["DisplayOrder"] = "14",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "Importing is fairly simple whether you are importing a Lua plugin packaged story or a .plugindata file.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["4"] = 
				{
					["Path"] = "",
					["Text"] = "##10#For a .plugindata file, you must first download the file, probably in a .zip package and unzip it. Once it is unzipped, copy the .plugindata file to your AllServers data folder, \"Documents\\The Lord of the Rings Online\\PluginData\\yourAccountName\\AllServers\" where \"yourAccountName\" is your actual account name. The folder will already exist since this is the same location that Anthology uses for its settings. Once the file is copied, load Anthology and click Import/Export on the Main Menu. On the Import/Export window, enter the name of the .plugindata file WITHOUT the .plugindata extension in the Import File Name field and click \"Import Dat\". The story will be imported and will be available in your Story Selection list for reading. Note, if the author included images in the .zip file you will need to get instructions from the Author where to extract the images as each author can define their own image folder.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "##10#For a Lua plugin package, you must first download the package from lotrointerface.com or other site. I highly recommend using Lunarwtr's Plugin Compendium, also available from lotrointerface.com, for this as it eliminates most problems with downloading and unzipping. If you are downloading from another site, be sure to follow the author's instructions on how to download and unzip their file. Once the plugin is installed, do NOT try to run the plugin. Instead, start your LotRO client (or enter the \"/plugins refresh\" chat command if lotro is already running). Start Anthology (if it was already running, you must atleast exit the import/export window and re-enter it). You can now click the Plugin list in the Import from Lua section and select the new story. Click the Import Lua button. The story should now be imported and added to your Story Selection list for reading.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "importexport.jpg",
					["Type"] = "Image"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Return",
					["Type"] = "Button",
					["Name"] = "Return",
					["DisplayOrder"] = "1",
					["Text"] = "Click to return to the Importing and Exporting overview.",
					["NextChapter"] = "4"
				}
			}
		},
		["13"] = 
		{
			["Y"] = "458",
			["X"] = "696",
			["Name"] = "Package Dat",
			["DisplayOrder"] = "13",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "Packaging the file to be shared is as simple as either directly copying it to the destination client or zipping it using an archive program (with Windows you can right click the file and choose \"Compressed (zipped) folder\" from the \"Send To\" menu. Once zipped, you can either share it via lotrointerface or any other file sharing site of your choice. Tell users to use this tutorial to learn how to Import the file after downloading it.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Return",
					["Type"] = "Button",
					["Name"] = "Return",
					["DisplayOrder"] = "1",
					["Text"] = "Click to return to the Importing and Exporting overview.",
					["NextChapter"] = "4"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Package Lua",
					["Type"] = "Button",
					["Name"] = "Package Lua",
					["DisplayOrder"] = "2",
					["Text"] = "Click to learn how to package a story as a Lua plugin.",
					["NextChapter"] = "12"
				}
			}
		},
		["12"] = 
		{
			["Y"] = "303",
			["X"] = "473",
			["Name"] = "Package Lua",
			["DisplayOrder"] = "12",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "There are eight basic steps to creating a Lua plugin package:#10#1) Create the .lua file#10#2) Copying the .lua file to the correct folder structure-your images should already have been stored here - this was covered under The Author Window, Managing Images.#10#3) Creating the .plugin file#10#4) zipping the folder to a .zip file#10#5) registering with lotrointerface (if not already registered), uploading the .zip file and retrieving the file ID#10#6) Creating the .plugincompendium file#10#7) re-zipping the folder to the final .zip file#10#8) uploading the new zip file as an update to the lotrointerface file#10##10#If you alter the story, you can update the lotrointerface file by recreating the .lua file, changing the version information in the .plugin and .plugincompendium files, rezipping the folder and uploading it to lotrointerface as an update.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "storytemplate.jpg",
					["Type"] = "Image"
				},
				["2"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The first step is creating a .lua file containing all of the information from the exported .plugindata file. There is a template file, StoryTemplate.lua, in the Plugins\\GaranStuff\\Anthology folder that you can use to create your .lua file. First, create a copy of StoryTemplate.lua and name it something like \"mystory.lua\", then edit the file. The third line fo the file contains the filename without extension, replace \"StoryTemplate\" with whatever you named your copy, such as \"mystory\". Note, this name is case sensitive. Now, open the .plugindata file and copy the entire contents and paste them in the new .lua file after the line \"-- copy the entire contents of your exported .plugindata file here, including ALL lines\". Now save the .lua file. You can use any text editor such as notepad since the .plugindata file already took care of encoding any special characters.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["5"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "onceuponatime1.jpg",
					["Type"] = "Image"
				},
				["4"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The next step is to decide where to package your plugin. If you included images, this was already covered and your images will already be in the folder structure. Otherwise it is recapped here. LotRO plugins follow a folder structure with the following layout:#10#\"...Documents\\The Lord of the Rings Online\\Plugins\\authorName\\pluginName\" where authorName is the name of the plugin's author and \"pluginName\" is the name of the plugin. This allows authors to organize multiple plugins within their folder structure. For our purposes, you should choose a simple author name such as your main character's name (do NOT use your account name). For this example we will assume your author name is \"YourName\" and the name of your story is \"OnceUponATime\". Create the folder \"YourName\" under the Plugins folder and the folder \"OnceUponATime\" under that. Copy your .lua file into the \"OnceUponATime\" folder. You should now have a folder structure such as:",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["7"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "onceuponatime2.jpg",
					["Type"] = "Image"
				},
				["6"] = 
				{
					["Path"] = "",
					["Text"] = "##10#The next step is to create a .plugin file that will tell LotRO about your plugin (story). You can create this file with any text editor. It must be in the \"YourName\" folder and for simplicity should be named the same as your .lua file (except with a .plugin extension). In this example, that would be \"OnceUponATime.plugin\". The file must include some specific lines and will look like the following image. The highlighted parts are the parts you would edit, the rest should be kept exactly as shown:#10#",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["9"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "onceuponatime3.jpg",
					["Type"] = "Image"
				},
				["8"] = 
				{
					["Path"] = "",
					["Text"] = "The first three lines must be entered exactly as shown above:#10#<?xml version=\"1.0\"?>#10#<Plugin>#10#          <Information>#10##10#The next line will contain the name of the story in a <Name> tag. This is what will appear in Plugin list in the Anthology Import window. Be sure to include the <Name> and </Name> tokens exactly as shown with your story name between them.#10#The next line contains your chosen author name in a <Author> tag.#10#The next line contains the version number. The number entered here must match the version in the .plugincompendium file (created later) and in the lotrointerface upload page later. For now, just include the text shown above as this will be version 1.0 of your story: <Version>1.0</Version>#10#The next line contains a BRIEF description of your story in a <Description> tag#10#The next line should be included exactly as shown above: <Image>GaranStuff/Anthology/Resources/Anthology.tga</Image>#10#The next line is the Information closing tag and must be included exactly as shown above: </Information>#10#The next line tells LotRO how to load your plugin (story) and will be the path to your .lua file with \"\\\" characters replaced by \".\" and no file extension. In this example we named the file and the folder both \"OnceUponATime\" which is why it looks repeated.#10#The next line contains the Configuration tag and must be typed exactly as shown: <Configuration Apartment=\"AnthologyImport\" />#10#The last line must be included exactly as shown: </Plugin>#10##10#Once the .plugin file is saved, you are almost ready to make an initial upload to lotrointerface.com. I say initial because we will have to zip up and upload the package twice since we will not know the lotrointerface file ID for the story until it is initially uploaded. The first step is to zip up the \"YourName\" folder - on Windows you can right click the folder and choose \"Compressed (zipped) folder\" from the \"Send To\" menu. This will create a YourName.zip file in the Plugins folder. Before you can upload to lotrointerface.com you will have to register there as an author. This is free and simple, just go to lotrointerface.com and click \"Register\" on the menu, second from the right side. Once you are registered you can upload. There is a \"Submit\" entry in the left side menu on the lotrointerface.com home page.#10#In the Upload New Interface/Addon section choose your category. Your story be uploaded in either the \"Other\" or the \"RolePlay & Music\" category under \"LotRO Stand-Alone Plugins\". Click Go. For the initial upload, enter a bogus version number such as \"0.9\" since we will be replacing this version shortly with the real \"1.0\" version. Select your .zip file to upload and fill in the Info & Description section then click \"Upload\" at the bottom. After a few moments your file will finish uploading but it still needs to be virus scanned and released by an administrator. This can take from a few minutes to a couple hours but they're usually pretty quick. Once it is released, it will show up on your Interface List. On the lotrointerface.com home page near the bottom of the left menu there is a \"List my Interfaces\" entry. Go there and periodically refresh the list until it no longer says \"Pending\". Now, click on the interface in the list and when the interface download page loads, look at the address bar, it will say something like http://www.lotrointerface.com/downloads/info987-OnceUponATime.html#10#The numeric part after the \"http://www.lotrointerface.com/downloads/info\" is the file ID, in the sample above, 987.#10##10#Now you are ready to create a .plugincompendium file (you're almost done).",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["10"] = 
				{
					["Path"] = "",
					["Text"] = "The .plugincompendium file is very similar to the .plugin file and contains some of the same information. The parts highlighted above in green are the information from the .plugin file. The file ID is used in three places, highlighted yellow above. The rest of the file should be created exactly as shown (the OnceUponATime.plugincompendium file exists in the Plugins\\Anthology\\GaranStuff folder to use as a template).#10##10#You now have to repackage the plugin files as a .zip file. Rezip your entire folder structure - again, on Windows you can simply right click the YourName folder and send it to a compressed folder.#10##10#Once the .zip file is created, you are finally ready to update the lotrointerface file with the finished product. Log into lotrointerface.com and go to your plugin's download page - the easiest way is to use the left menu to go to the \"List my Interfaces\" then click on this story's download page. You will now click the \"Edit\" button at the top right of the plugin description. This opens the update page where you can enter a new version number - enter 1.0 since this is the first real version (we used somthing like .9 for the initial upload), click the \"Replace\" radio button - this is critical, just selecting a new upload file will not replace the file unless the radio button is clicked. Select your new zip file and upload.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Return",
					["Type"] = "Button",
					["Name"] = "Return",
					["DisplayOrder"] = "1",
					["Text"] = "Click to return to the Importing and Exporting overview.",
					["NextChapter"] = "4"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Pacakage Dat",
					["Type"] = "Button",
					["Name"] = "Package Dat",
					["DisplayOrder"] = "2",
					["Text"] = "Click to learn how to package a story as a .plugindata file.",
					["NextChapter"] = "13"
				}
			}
		},
		["11"] = 
		{
			["Y"] = "318",
			["X"] = "237",
			["Name"] = "Exporting",
			["DisplayOrder"] = "11",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "Exporting is fairly easy, just click Import/Export on the Main Menu which will open the Import/Export window.",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["3"] = 
				{
					["Path"] = "",
					["Text"] = "Click the Story field or the elipsis (...) next to it to open the Story Selection window, and then select the story you wish to export. Next, enter a file name for the exported .plugindata file. This should be a simple name with only letters and numbers, such as \"MyStory\". Then click 'Export'. Once you are told the story has been exported, you can find it in the folder \"...Documents\\The Lord of the Rings Online\\PluginData\\yourAccountName\\AllServers\"#10# where \"yourAccountName\" is your actual account name. Once you have found the file you are ready to either zip it up to be shared as a .plugindata file (Package Dat) or package it as a Lua plugin (Package Lua).",
					["FileName"] = "",
					["Type"] = "Text"
				},
				["2"] = 
				{
					["Path"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
					["Text"] = "An image",
					["FileName"] = "importexport.jpg",
					["Type"] = "Image"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "Return ",
					["Type"] = "Button",
					["Name"] = "Return",
					["DisplayOrder"] = "1",
					["Text"] = "Click to return to the Importing and Exporting overview.",
					["NextChapter"] = "4"
				},
				["3"] = 
				{
					["ObjectiveString"] = "Package Dat",
					["Type"] = "Button",
					["Name"] = "Package Dat",
					["DisplayOrder"] = "3",
					["Text"] = "Click to learn how to packageing a story as a .plugindata file.",
					["NextChapter"] = "13"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Package Lua",
					["Type"] = "Button",
					["Name"] = "Package Lua",
					["DisplayOrder"] = "2",
					["Text"] = "Click to learn how to packageing a story as a Lua plugin.",
					["NextChapter"] = "12"
				}
			}
		},
		["10"] = 
		{
			["SuccessNextChapter"] = "9",
			["SuccessCondition"] = 
			{
				["1"] = "1",
				["2"] = "2"
			},
			["Y"] = "950",
			["X"] = "692",
			["Name"] = "Sample Chapter, Target Yourself",
			["DisplayOrder"] = "10",
			["Status"] = false,
			["Content"] = 
			{
				["1"] = 
				{
					["Path"] = "",
					["Text"] = "This is a fairly simple challenge, @PlayerName. You have to target yourself and click the 'Continue' button. Note, you must perform both actions, but can perform them in any order (you can click the button first and then target yourself or target yourself and then click the button). Once you have completed both objectives you will move on to the Conclusion of the tutorial.#10##10#Note that as you complete multi-part objecives, a green check mark appears in the lower right corner of the objective to indicate that it has been completed.#10##10#Also note that both the chapter text and target objective reference you by name. That is because Anthology has several tokens that can be used by authors to refer to the current player, PlayerName, PlayerClass and PlayerRace. When one of these tokens is prefixed with an @ symbol and embedded in chapter text, objective text or an objective field such as Target Name, it is automatically resolved to the current value. Additional tokens will likely be added in later releases.",
					["FileName"] = "",
					["Type"] = "Text"
				}
			},
			["Objectives"] = 
			{
				["1"] = 
				{
					["ObjectiveString"] = "@PlayerName",
					["Type"] = "Target",
					["Name"] = "Target Yourself",
					["DisplayOrder"] = "1",
					["Status"] = false,
					["Text"] = "Target @PlayerName"
				},
				["2"] = 
				{
					["ObjectiveString"] = "Continue",
					["Type"] = "Button",
					["Name"] = "Click Continue",
					["DisplayOrder"] = "2",
					["Status"] = false
				}
			}
		}
	},
	["Name"] = "AnthologyTutorial",
	["LastEditTime"] = "1511374500",
	["Author"] = "Garan",
	["DefaultImagePath"] = "GaranStuff/Anthology/Stories/AnthologyTutorialImages",
	["Desc"] = "Welcome to Anthology! This plugin allows players to create and share interactive stories. Stories can be a regular linear story that players read chapter by chapter. Or they can be interactive stories where a player chooses a path to a specific ending. Or perhaps, not a story at all, but a tutorial like this one. Authors can even include images with each story so that players can visualize what the author is describing. Hopefully, you will find shared stories that you enjoy reading or perhaps even author and share a story of your own.#10##10#Click the 'Start' button on the right to begin reading about Anthology."
}
--*****************************************************************************
end