-- need active only checkbox and filter, string resource 30

-- create a scrollable list of known stories
storySelect=Turbine.UI.Lotro.Window()
storySelect:SetSize(800,400)
storySelect:SetPosition((displayWidth-storySelect:GetWidth())/2,(displayHeight-storySelect:GetHeight())/2)
storySelect:SetText(Resource[language][17])

activeFilter=Turbine.UI.Lotro.CheckBox()
activeFilter:SetParent(storySelect)
activeFilter:SetSize(140,20)
activeFilter:SetPosition(10,45)
activeFilter:SetForeColor(Settings.LabelColor)
activeFilter:SetText(Resource[language][30])
activeFilter.CheckedChanged=function()
	local inactiveHeight=20
	if activeFilter:IsChecked() then inactiveHeight=0 end
	for i=1,storySelect.StoryListBox:GetItemCount() do
		local item=storySelect.StoryListBox:GetItem(i)
		if item.Active:GetText()=="" then item:SetHeight(inactiveHeight) end
	end
end

storySelect.StoryList=Turbine.UI.Control()
storySelect.StoryList:SetParent(storySelect)
storySelect.StoryList:SetSize(storySelect:GetWidth()-20,storySelect:GetHeight()-115)
storySelect.StoryList:SetPosition(10,70)
storySelect.StoryList:SetBackColor(Settings.TrimColor)


storySelect.ActiveHeader=Turbine.UI.Label()
storySelect.ActiveHeader:SetParent(storySelect.StoryList)
storySelect.ActiveHeader:SetSize(90,20)
storySelect.ActiveHeader:SetPosition(1,1)
storySelect.ActiveHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
storySelect.ActiveHeader:SetForeColor(Turbine.UI.Color.LightBlue)
storySelect.ActiveHeader:SetMultiline(false)
storySelect.ActiveHeader:SetFont(Settings.Font)
storySelect.ActiveHeader:SetText(Resource[language][29])
storySelect.ActiveHeader.MouseClick=function()
	storySelect.ActiveHeader:SetBackColor(Turbine.UI.Color.Blue)
	storySelect.ActiveHeader:SetForeColor(Turbine.UI.Color.White)
	storySelect.AuthorHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.AuthorHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.NameHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.NameHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.DescHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.DescHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.FillStoryList(4)
end

storySelect.AuthorHeader=Turbine.UI.Label()
storySelect.AuthorHeader:SetParent(storySelect.StoryList)
storySelect.AuthorHeader:SetSize(120,20)
storySelect.AuthorHeader:SetPosition(storySelect.ActiveHeader:GetLeft()+storySelect.ActiveHeader:GetWidth(),1)
storySelect.AuthorHeader:SetBackColor(Turbine.UI.Color.Blue)
storySelect.AuthorHeader:SetForeColor(Turbine.UI.Color.White)
storySelect.AuthorHeader:SetMultiline(false)
storySelect.AuthorHeader:SetFont(Settings.Font)
storySelect.AuthorHeader:SetText(Resource[language][12])
storySelect.AuthorHeader.MouseClick=function()
	storySelect.ActiveHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.ActiveHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.AuthorHeader:SetBackColor(Turbine.UI.Color.Blue)
	storySelect.AuthorHeader:SetForeColor(Turbine.UI.Color.White)
	storySelect.NameHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.NameHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.DescHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.DescHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.FillStoryList(1)
end

storySelect.NameHeader=Turbine.UI.Label()
storySelect.NameHeader:SetParent(storySelect.StoryList)
storySelect.NameHeader:SetSize(200,20)
storySelect.NameHeader:SetPosition(storySelect.AuthorHeader:GetLeft()+storySelect.AuthorHeader:GetWidth(),1)
storySelect.NameHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
storySelect.NameHeader:SetForeColor(Turbine.UI.Color.LightBlue)
storySelect.NameHeader:SetMultiline(false)
storySelect.NameHeader:SetFont(Settings.Font)
storySelect.NameHeader:SetText(Resource[language][13])
storySelect.NameHeader.MouseClick=function()
	storySelect.ActiveHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.ActiveHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.AuthorHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.AuthorHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.NameHeader:SetBackColor(Turbine.UI.Color.Blue)
	storySelect.NameHeader:SetForeColor(Turbine.UI.Color.White)
	storySelect.DescHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.DescHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.FillStoryList(2)
end

storySelect.DescHeader=Turbine.UI.Label()
storySelect.DescHeader:SetParent(storySelect.StoryList)
storySelect.DescHeader:SetPosition(storySelect.NameHeader:GetLeft()+storySelect.NameHeader:GetWidth(),1)
storySelect.DescHeader:SetSize(storySelect.StoryList:GetWidth()-storySelect.DescHeader:GetLeft()-2,20)
storySelect.DescHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
storySelect.DescHeader:SetForeColor(Turbine.UI.Color.LightBlue)
storySelect.DescHeader:SetMultiline(false)
storySelect.DescHeader:SetFont(Settings.Font)
storySelect.DescHeader:SetText(Resource[language][15])
storySelect.DescHeader.MouseClick=function()
	storySelect.ActiveHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.ActiveHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.AuthorHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.AuthorHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.NameHeader:SetBackColor(Turbine.UI.Color.DarkBlue)
	storySelect.NameHeader:SetForeColor(Turbine.UI.Color.LightBlue)
	storySelect.DescHeader:SetBackColor(Turbine.UI.Color.Blue)
	storySelect.DescHeader:SetForeColor(Turbine.UI.Color.White)
	storySelect.FillStoryList(3)
end

storySelect.StoryListBox=Turbine.UI.ListBox()
storySelect.StoryListBox:SetParent(storySelect.StoryList)
storySelect.StoryListBox:SetSize(storySelect.StoryList:GetWidth()-12,storySelect.StoryList:GetHeight()-22)
storySelect.StoryListBox:SetBackColor(Turbine.UI.Color.Black)
storySelect.StoryListBox:SetPosition(1,21)
storySelect.StoryListBox.LastSelected=nil

storySelect.StoryListBox.SelectedIndexChanged=function(sender,args)
	local tmpItem
	if storySelect.StoryListBox.LastSelected~=nil and storySelect.StoryListBox.LastSelected>0 then
		tmpItem=storySelect.StoryListBox:GetItem(storySelect.StoryListBox.LastSelected)
		if tmpItem~=nil then
			tmpItem:SetBackColor(nil)
		end
	end
	storySelect.StoryListBox.LastSelected=storySelect.StoryListBox:GetSelectedIndex()
	if storySelect.StoryListBox.LastSelected~=nil and storySelect.StoryListBox.LastSelected>0 then
		tmpItem=storySelect.StoryListBox:GetItem(storySelect.StoryListBox.LastSelected)
		if tmpItem~=nil then
			tmpItem:SetBackColor(Turbine.UI.Color(0,.1,.2))
		end
	end
end

storySelect.StoryListVScroll=Turbine.UI.Lotro.ScrollBar()
storySelect.StoryListVScroll:SetParent(storySelect.StoryList)
storySelect.StoryListVScroll:SetSize(10,storySelect.StoryListBox:GetHeight())
storySelect.StoryListVScroll:SetOrientation(Turbine.UI.Orientation.Vertical)
storySelect.StoryListVScroll:SetPosition(storySelect.StoryListBox:GetLeft()+storySelect.StoryListBox:GetWidth(),storySelect.StoryListBox:GetTop())
storySelect.StoryListBox:SetVerticalScrollBar(storySelect.StoryListVScroll)
storySelect.FillStoryList=function(sortColumn)
	storySelect.StoryListBox:ClearItems()
	storySelect.StoryListBox.LastSelected=nil
	storySelect.StoryListBox.SortColumn=sortColumn
	tmpStoryList={} -- create a temporary list that we can sort without losing the original ID
	for k,v in ipairs(StoryList) do
		local active=""
		if (v.ActiveChapter~=nil) then active="Y" end
		table.insert(tmpStoryList,{["IsActive"]=active,["ID"]=v.ID,["Author"]=v.Author,["Name"]=v.Name,["Desc"]=v.Desc})
	end
	if sortColumn==nil then sortColumn=1 end
	if sortColumn==1 then
		table.sort(tmpStoryList,function(arg1,arg2) if arg1.Author<arg2.Author then return true else if arg1.Author==arg2.Author and arg1.Name<arg2.Name then return true end end end)
	elseif sortColumn==2 then
		table.sort(tmpStoryList,function(arg1,arg2) if arg1.Name<arg2.Name then return true end end)
	elseif sortColumn==3 then
		table.sort(tmpStoryList,function(arg1,arg2) if arg1.Desc<arg2.Desc then return true end end)
	elseif sortColumn==4 then
		table.sort(tmpStoryList,function(arg1,arg2) if arg1.IsActive>arg2.IsActive then return true else if arg1.IsActive==arg2.IsActive and arg1.Author<arg2.Author then return true end end end)
	end
	local selectedIndex
	local controlHeight=Turbine.UI.Lotro.FontInfo[Settings.Font].size+4

	for k,v in ipairs(tmpStoryList) do
		local item=Turbine.UI.Control()
		item.ID=v.ID
		if item.ID==storySelect.currentStoryID then
			selectedIndex=k
		end
		item:SetParent(storySelect.StoryList)
		item:SetSize(storySelect.StoryList:GetWidth(),controlHeight)
		item.Active=Turbine.UI.Label()
		item.Active:SetParent(item)
		item.Active:SetSize(storySelect.ActiveHeader:GetWidth(),controlHeight)
		item.Active:SetFont(Settings.Font)
		item.Active:SetForeColor(Settings.FontColor)
		item.Active:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
		if v.IsActive=="Y" then
			item.Active:SetText(Resource[language][31])
		end
		item.Active:SetMouseVisible(false)
		item.Author=Turbine.UI.Label()
		item.Author:SetParent(item)
		item.Author:SetSize(storySelect.AuthorHeader:GetWidth(),controlHeight)
		item.Author:SetLeft(storySelect.AuthorHeader:GetLeft())
		item.Author:SetFont(Settings.Font)
		item.Author:SetForeColor(Settings.FontColor)
		item.Author:SetText(v.Author)
		item.Author:SetMouseVisible(false)
		item.Name=Turbine.UI.Label()
		item.Name:SetParent(item)
		item.Name:SetSize(storySelect.NameHeader:GetWidth(),controlHeight)
		item.Name:SetLeft(storySelect.NameHeader:GetLeft())
		item.Name:SetForeColor(Settings.FontColor)
		item.Name:SetFont(Settings.Font)
		item.Name:SetText(v.Name)
		item.Name:SetMouseVisible(false)
		item.Desc=Turbine.UI.Label()
		item.Desc:SetParent(item)
		item.Desc:SetSize(storySelect.DescHeader:GetWidth(),controlHeight)
		item.Desc:SetLeft(storySelect.DescHeader:GetLeft())
		item.Desc:SetFont(Settings.Font)
		item.Desc:SetForeColor(Settings.FontColor)
		item.Desc:SetText(v.Desc)
		item.Desc:SetMouseVisible(false)
		item.MouseDoubleClick=function(sender,args)
			storySelect.StoryListBox:SetSelectedItem(sender)
			storySelect.Select:Click()
		end
		storySelect.StoryListBox:AddItem(item)
	end
	if selectedIndex~=nil then
		storySelect.StoryListBox:SetSelectedIndex(selectedIndex)
	end
end
storySelect.FillStoryList(1)
storySelect.Select=Turbine.UI.Lotro.Button()
storySelect.Select:SetParent(storySelect)
storySelect.Select:SetSize(120,20)
storySelect.Select:SetPosition((storySelect:GetWidth()-storySelect.Select:GetWidth()*2)/3,storySelect:GetHeight()-35)
storySelect.Select:SetFont(Settings.Font)
storySelect.Select:SetText(Resource[language][18])
storySelect.Select.Click=function()
	if storySelect.StoryListBox:GetSelectedIndex()>0 then
		if storySelect.ReturnSelected~=nil then
			local item=storySelect.StoryListBox:GetSelectedItem()
			storySelect.SelectedAuthor=item.Author:GetText()
			storySelect.SelectedStory=item.Name:GetText()
			storySelect.SelectedDesc=item.Desc:GetText()
			storySelect.SelectedID=item.ID
			storySelect.ReturnSelected()
		end
		storySelect:SetVisible(false)
		storySelect.Closed()
	end
end

storySelect.Delete=Turbine.UI.Lotro.Button()
storySelect.Delete:SetParent(storySelect)
storySelect.Delete:SetSize(120,20)
storySelect.Delete:SetPosition(storySelect.Select:GetWidth()+storySelect.Select:GetLeft()*2,storySelect:GetHeight()-35)
storySelect.Delete:SetFont(Settings.Font)
storySelect.Delete:SetText(Resource[language][11])
storySelect.Delete.Click=function()
	if storySelect.StoryListBox:GetSelectedIndex()>0 then
		storySelect.MouseMask:SetMouseVisible(true)
		confirmDelete=PopUpDialog(Resource[language][33],Resource[language][34],1,Resource[language][32],Resource[language][19],nil,false,storySelect.DeleteOK)
	end
end
storySelect.DeleteOK=function(flag)
	storySelect.MouseMask:SetMouseVisible(false)
	confirmDelete=nil
	if flag==1 then
		-- clear out the associated plugindata file
		local ID=storySelect.StoryListBox:GetSelectedItem().ID
		local index=getStoryIndexFromID(ID)

		SaveSetting("Account",pluginName.."Story"..tostring(ID),"",nil,nil)
		if index~=nil then
			-- remove from StoryList
			table.remove(StoryList,index)
		end
		-- refill storySelect.StoryListBox
		storySelect.FillStoryList(storySelect.StoryListBox.SortColumn)

		currentWindow.StoryDeleted(ID)
	end
end
storySelect.Cancel=Turbine.UI.Lotro.Button()
storySelect.Cancel:SetParent(storySelect)
storySelect.Cancel:SetSize(120,20)
storySelect.Cancel:SetPosition(storySelect.Select:GetWidth()+storySelect.Select:GetLeft()*2,storySelect:GetHeight()-35)
storySelect.Cancel:SetFont(Settings.Font)
storySelect.Cancel:SetText(Resource[language][19])
storySelect.Cancel.Click=function()
	storySelect:SetVisible(false)
	storySelect.Closed()
end
storySelect.MouseMask=Turbine.UI.Control()
storySelect.MouseMask:SetParent(storySelect)
storySelect.MouseMask:SetMouseVisible(false)

storySelect.Closed=function()
	storySelect.MouseMask:SetMouseVisible(false)
	currentWindow.MouseMask:SetMouseVisible(false)
end
storySelect.RefreshLayout=function()
	local controlHeight=Turbine.UI.Lotro.FontInfo[Settings.Font].size+4
	local buttonFont=Settings.Font
	while Turbine.UI.Lotro.FontInfo[buttonFont].size>22 do
		-- make sure button text fits on buttons since they don't size larger than 20 pixels (22 is ok since lotro font sizes are off a bit)
		buttonFont=GetSmallerFont(buttonFont)
	end
	fontMetric:SetFont(Settings.Font)
	activeFilter:SetSize(fontMetric:GetTextWidth(activeFilter:GetText())+20,controlHeight)
	activeFilter:SetFont(Settings.Font)
	activeFilter:SetHeight(controlHeight)
	activeFilter:SetText(activeFilter:GetText())

	storySelect.StoryList:SetPosition(10,activeFilter:GetTop()+activeFilter:GetHeight()+5)
	storySelect.StoryList:SetHeight(storySelect:GetHeight()-storySelect.StoryList:GetTop()-45)

	storySelect.ActiveHeader:SetSize(fontMetric:GetTextWidth(storySelect.ActiveHeader:GetText()),controlHeight)
	storySelect.ActiveHeader:SetFont(Settings.Font)
	storySelect.ActiveHeader:SetText(storySelect.ActiveHeader:GetText())

	local tmp=fontMetric:GetTextWidth(storySelect.AuthorHeader:GetText())
	if tmp<120 then tmp=120 end
	storySelect.AuthorHeader:SetSize(tmp,controlHeight)
	storySelect.AuthorHeader:SetLeft(storySelect.ActiveHeader:GetWidth())
	storySelect.AuthorHeader:SetFont(Settings.Font)
	storySelect.AuthorHeader:SetText(storySelect.AuthorHeader:GetText())

	tmp=fontMetric:GetTextWidth(storySelect.NameHeader:GetText())
	if tmp<200 then tmp=200 end
	storySelect.NameHeader:SetSize(tmp,controlHeight)
	storySelect.NameHeader:SetLeft(storySelect.AuthorHeader:GetLeft()+storySelect.AuthorHeader:GetWidth())
	storySelect.NameHeader:SetFont(Settings.Font)
	storySelect.NameHeader:SetText(storySelect.NameHeader:GetText())

	storySelect.DescHeader:SetLeft(storySelect.NameHeader:GetLeft()+storySelect.NameHeader:GetWidth())
	storySelect.DescHeader:SetSize(storySelect.StoryList:GetWidth()-storySelect.DescHeader:GetLeft()-2,controlHeight)
	storySelect.DescHeader:SetFont(Settings.Font)
	storySelect.DescHeader:SetText(storySelect.DescHeader:GetText())
	storySelect.StoryListBox:SetHeight(storySelect.StoryList:GetHeight()-controlHeight-2)
	storySelect.StoryListBox:SetPosition(1,controlHeight+1)
	storySelect.StoryListVScroll:SetHeight(storySelect.StoryListBox:GetHeight())
	storySelect.StoryListVScroll:SetTop(storySelect.StoryListBox:GetTop())

	storySelect.FillStoryList(storySelect.StoryListBox.SortColumn)

	fontMetric:SetFont(buttonFont)
	minButtonWidth=120
	tmp=fontMetric:GetTextWidth(Resource[language][18])
	if tmp>minButtonWidth then minButtonWidth=tmp end
	tmp=fontMetric:GetTextWidth(Resource[language][11])
	if tmp>minButtonWidth then minButtonWidth=tmp end
	tmp=fontMetric:GetTextWidth(Resource[language][19])
	if tmp>minButtonWidth then minButtonWidth=tmp end
	tmp=storySelect:GetWidth()-70
	if minButtonWidth>tmp then minButtonWidth=tmp end

	storySelect.Select:SetFont(buttonFont)
	storySelect.Select:SetWidth(minButtonWidth)
	storySelect.Select:SetText(Resource[language][18])
	storySelect.Select:SetLeft(30)
	storySelect.Delete:SetFont(buttonFont)
	storySelect.Delete:SetText(Resource[language][11])
	storySelect.Delete:SetWidth(minButtonWidth)
	storySelect.Delete:SetLeft((storySelect:GetWidth()-storySelect.Delete:GetWidth())/2)
	storySelect.Cancel:SetFont(buttonFont)
	storySelect.Cancel:SetText(Resource[language][19])
	storySelect.Cancel:SetWidth(minButtonWidth)
	storySelect.Cancel:SetLeft(storySelect:GetWidth()-storySelect.Cancel:GetWidth()-30)
	storySelect.MouseMask:SetSize(storySelect:GetSize())
end
storySelect.RefreshLayout()
storySelect.RefreshColor=function()
	activeFilter:SetForeColor(Settings.LabelColor)
	storySelect.StoryList:SetBackColor(Settings.TrimColor)
	storySelect.StoryListBox:SetBackColor(Settings.BackColor)
	for i=1,storySelect.StoryListBox:GetItemCount() do
		local tmpItem=storySelect.StoryListBox:GetItem(i)
		tmpItem.Active:SetForeColor(Settings.FontColor)
		tmpItem.Author:SetForeColor(Settings.FontColor)
		tmpItem.Name:SetForeColor(Settings.FontColor)
		tmpItem.Desc:SetForeColor(Settings.FontColor)
	end
end
storySelect.RefreshColor()
storySelect:SetZOrder(1)
